Package com.emc.d2fs.service.d2collection

# Class UserGroupDetails

java.lang.Object
com.emc.d2fs.service.d2collection.UserGroupDetails

public class UserGroupDetails extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `UserGroupDetails.RecipientType`
  `static enum`
  `UserGroupDetails.Role`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `recipientEmailAddress`
  `String`
  `recipientRole`
  `String`
  `recipientType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserGroupDetails()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  `String`
  `getName()`
  `String`
  `getRecipientEmailAddress()`
  `String`
  `getRecipientRole()`
  `String`
  `getRecipientType()`
  `void`
  `setId(String id)`
  `void`
  `setName(String name)`
  `void`
  `setRecipientEmailAddress(String recipientEmailAddress)`
  `void`
  `setRecipientRole(String recipientRole)`
  `void`
  `setRecipientType(String recipientType)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### recipientRole

    public String recipientRole

  - ### recipientType

    public String recipientType

  - ### recipientEmailAddress

    public String recipientEmailAddress

- ## Constructor Details

  - ### UserGroupDetails

    public UserGroupDetails()

- ## Method Details

  - ### getRecipientEmailAddress

    public String getRecipientEmailAddress()

  - ### setRecipientEmailAddress

    public void setRecipientEmailAddress(String recipientEmailAddress)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getRecipientRole

    public String getRecipientRole()

  - ### setRecipientRole

    public void setRecipientRole(String recipientRole)

  - ### getRecipientType

    public String getRecipientType()

  - ### setRecipientType

    public void setRecipientType(String recipientType)